Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-59525

Phase 2 of deprecation of functions in lib/deprecatedlib.php initially deprecated in 3.4

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.4
    • Fix Version/s: 3.8
    • Component/s: General
    • Labels:

      Description

      As per https://docs.moodle.org/dev/Deprecation all functions in lib/deprecatedlib.php that were deprecated in 3.4 should be replaced with exceptions in 3.8

      This includes all functions in lib/deprecatedlib.php that say @deprecated since 3.4

      If any functions from this file do not have this comment but also need to be finally deprecated in 3.8 - please list them in this issue description

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              mathewmay Mathew May
              Reporter:
              marina Marina Glancy
              Peer reviewer:
              Amaia Anabitarte
              Integrator:
              Eloy Lafuente (stronk7)
              Tester:
              Janelle Barcega
              Participants:
              Component watchers:
              Jake Dallimore, Jun Pataleta
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Fix Release Date:
                18/Nov/19

                  Time Tracking

                  Estimated:
                  Original Estimate - 0 minutes
                  0m
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 1 hour, 30 minutes
                  1h 30m